CREATE TABLE gebaeude (
id integer NOT NULL,
hsnr integer NOT NULL,
nutzung varchar(30),
g_id integer NOT NULL,
s_id integer
);

CREATE TABLE grundstuecke (
id integer NOT NULL,
nummer integer NOT NULL,
flaeche integer NOT NULL,
o_id integer NOT NULL,
s_id integer
);

CREATE TABLE ortsteile (
id integer NOT NULL,
name varchar(30),
plz integer
);

CREATE TABLE strassen (
id integer NOT NULL,
name varchar(30) NOT NULL
);

ALTER TABLE gebaeude ADD PRIMARY KEY (id);

ALTER TABLE grundstuecke ADD PRIMARY KEY (id);

ALTER TABLE ortsteile ADD PRIMARY KEY (id);

ALTER TABLE strassen ADD PRIMARY KEY (id);

INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (1, 10, 'Wohnen', 5, 1);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (2, 12, 'Gewerbe', 5, 1);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (3, 8, 'Wohnen', 7, 2);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (4, 34, 'Wohnen', 6, 1);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (5, 36, 'Lagerhalle', 6, 1);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (6, 67, 'Gewerbe', 8, 3);

INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (1, 4708, 830, 1, 1);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (2, 4709, 964, 2, 1);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (8, 2377, 537, 2, NULL);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (3, 2710, 675, 1, 2);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (4, 3711, 899, 2, 3);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (5, 1712, 1320, 1, NULL);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (6, 2713, 1843, 2, NULL);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (7, 714, 2345, 1, NULL);

INSERT INTO ortsteile (id, name, plz) VALUES (1, 'Oberstadt', 12345);
INSERT INTO ortsteile (id, name, plz) VALUES (2, 'Unterstadt', 12346);

INSERT INTO strassen (id, name) VALUES (1, 'Hauptstrasse');
INSERT INTO strassen (id, name) VALUES (2, 'Oberstrasse');
INSERT INTO strassen (id, name) VALUES (3, 'Unterstrasse');

ALTER TABLE gebaeude ADD CONSTRAINT "GEBAEUDE_Grundstueck_ID_fkey" FOREIGN KEY (g_id) REFERENCES grundstuecke(id);

ALTER TABLE grundstuecke ADD CONSTRAINT "GRUNDSTUECKE_Ortsteil_ID_fkey" FOREIGN KEY (o_id) REFERENCES ortsteile(id);

ALTER TABLE grundstuecke ADD CONSTRAINT "GRUNDSTUECKE_Strassen_ID_fkey" FOREIGN KEY (s_id) REFERENCES strassen(id);

ALTER TABLE gebaeude ADD CONSTRAINT "gebaeude_S_ID_fkey" FOREIGN KEY (s_id) REFERENCES strassen(id);


CREATE VIEW str_otl AS SELECT s.id, s.name, o.name AS o_name FROM grundstuecke g, strassen s, ortsteile o WHERE ((o.id = g.o_id) AND (s.id = g.s_id));

CREATE VIEW str_oberstadt AS SELECT str_otl.id, str_otl.name FROM str_otl WHERE (str_otl.o_name like 'Oberstadt');

CREATE VIEW str_unterstadt AS SELECT str_otl.id, str_otl.name FROM str_otl WHERE (str_otl.o_name like 'Unterstadt');

CREATE VIEW privatgrundstuecke AS
    SELECT grundstuecke.id, grundstuecke.nummer, grundstuecke.flaeche, grundstuecke.o_id, grundstuecke.s_id FROM grundstuecke WHERE (grundstuecke.s_id IS NULL);
