--
-- PostgreSQL database dump
--

-- Started on 2012-02-14 08:13:56

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 1832 (class 1262 OID 24064)
-- Name: BMG20; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE "BMG20" WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'German_Germany.1252' LC_CTYPE = 'German_Germany.1252';


\connect "BMG20"

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 330 (class 2612 OID 16386)
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: -
--

CREATE PROCEDURAL LANGUAGE plpgsql;


SET search_path = public, pg_catalog;

SET default_with_oids = false;

--
-- TOC entry 1526 (class 1259 OID 42834)
-- Dependencies: 3
-- Name: byte_test; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE byte_test (
    id integer NOT NULL,
    daten bytea,
    ar integer[]
);


--
-- TOC entry 1525 (class 1259 OID 42832)
-- Dependencies: 1526 3
-- Name: byte_test_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE byte_test_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1834 (class 0 OID 0)
-- Dependencies: 1525
-- Name: byte_test_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE byte_test_id_seq OWNED BY byte_test.id;


--
-- TOC entry 1835 (class 0 OID 0)
-- Dependencies: 1525
-- Name: byte_test_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('byte_test_id_seq', 2, true);


--
-- TOC entry 1517 (class 1259 OID 24068)
-- Dependencies: 3
-- Name: gebaeude; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE gebaeude (
    id integer NOT NULL,
    hsnr integer NOT NULL,
    nutzung character varying,
    g_id integer NOT NULL,
    s_id integer
);


--
-- TOC entry 1520 (class 1259 OID 24085)
-- Dependencies: 3
-- Name: grundstuecke; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE grundstuecke (
    id integer NOT NULL,
    nummer integer NOT NULL,
    flaeche integer NOT NULL,
    o_id integer NOT NULL,
    s_id integer
);


--
-- TOC entry 1519 (class 1259 OID 24077)
-- Dependencies: 3
-- Name: ortsteile; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE ortsteile (
    id integer NOT NULL,
    name character varying,
    plz integer
);


--
-- TOC entry 1528 (class 1259 OID 42843)
-- Dependencies: 3
-- Name: point_test; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE point_test (
    gid integer NOT NULL,
    pt point
);


--
-- TOC entry 1527 (class 1259 OID 42841)
-- Dependencies: 3 1528
-- Name: point_test_gid_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE point_test_gid_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 1836 (class 0 OID 0)
-- Dependencies: 1527
-- Name: point_test_gid_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE point_test_gid_seq OWNED BY point_test.gid;


--
-- TOC entry 1837 (class 0 OID 0)
-- Dependencies: 1527
-- Name: point_test_gid_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('point_test_gid_seq', 1, true);


--
-- TOC entry 1521 (class 1259 OID 24129)
-- Dependencies: 1615 3
-- Name: privatgrundstuecke; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW privatgrundstuecke AS
    SELECT grundstuecke.id, grundstuecke.nummer, grundstuecke.flaeche, grundstuecke.o_id, grundstuecke.s_id FROM grundstuecke WHERE (grundstuecke.s_id IS NULL);


--
-- TOC entry 1518 (class 1259 OID 24071)
-- Dependencies: 3
-- Name: strassen; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE strassen (
    id integer NOT NULL,
    name character varying NOT NULL
);


--
-- TOC entry 1522 (class 1259 OID 24133)
-- Dependencies: 1616 3
-- Name: str_otl; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW str_otl AS
    SELECT s.id, s.name, o.name AS o_name FROM grundstuecke g, strassen s, ortsteile o WHERE ((o.id = g.o_id) AND (s.id = g.s_id));


--
-- TOC entry 1523 (class 1259 OID 24137)
-- Dependencies: 1617 3
-- Name: str_oberstadt; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW str_oberstadt AS
    SELECT str_otl.id, str_otl.name FROM str_otl WHERE ((str_otl.o_name)::text ~~ 'Oberstadt'::text);


--
-- TOC entry 1524 (class 1259 OID 24141)
-- Dependencies: 1618 3
-- Name: str_unterstadt; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW str_unterstadt AS
    SELECT str_otl.id, str_otl.name FROM str_otl WHERE ((str_otl.o_name)::text ~~ 'Unterstadt'::text);


--
-- TOC entry 1810 (class 2604 OID 42837)
-- Dependencies: 1525 1526 1526
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE byte_test ALTER COLUMN id SET DEFAULT nextval('byte_test_id_seq'::regclass);


--
-- TOC entry 1811 (class 2604 OID 42846)
-- Dependencies: 1528 1527 1528
-- Name: gid; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE point_test ALTER COLUMN gid SET DEFAULT nextval('point_test_gid_seq'::regclass);


--
-- TOC entry 1828 (class 0 OID 42834)
-- Dependencies: 1526
-- Data for Name: byte_test; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO byte_test (id, daten, ar) VALUES (1, '\\000,Hallo!!S -12, -13, 45', NULL);
INSERT INTO byte_test (id, daten, ar) VALUES (2, NULL, '{0,1,2,3,45}');


--
-- TOC entry 1824 (class 0 OID 24068)
-- Dependencies: 1517
-- Data for Name: gebaeude; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (1, 10, 'Wohnen', 5, 1);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (2, 12, 'Gewerbe', 5, 1);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (3, 8, 'Wohnen', 7, 2);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (4, 34, 'Wohnen', 6, 1);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (5, 36, 'Lagerhalle', 6, 1);
INSERT INTO gebaeude (id, hsnr, nutzung, g_id, s_id) VALUES (6, 67, 'Gewerbe', 8, 3);


--
-- TOC entry 1827 (class 0 OID 24085)
-- Dependencies: 1520
-- Data for Name: grundstuecke; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (1, 4708, 830, 1, 1);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (2, 4709, 964, 2, 1);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (8, 2377, 537, 2, NULL);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (3, 2710, 675, 1, 2);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (4, 3711, 899, 2, 3);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (5, 1712, 1320, 1, NULL);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (6, 2713, 1843, 2, NULL);
INSERT INTO grundstuecke (id, nummer, flaeche, o_id, s_id) VALUES (7, 714, 2345, 1, NULL);


--
-- TOC entry 1826 (class 0 OID 24077)
-- Dependencies: 1519
-- Data for Name: ortsteile; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO ortsteile (id, name, plz) VALUES (1, 'Oberstadt', 12345);
INSERT INTO ortsteile (id, name, plz) VALUES (2, 'Unterstadt', 12346);


--
-- TOC entry 1829 (class 0 OID 42843)
-- Dependencies: 1528
-- Data for Name: point_test; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO point_test (gid, pt) VALUES (1, '(1,2)');


--
-- TOC entry 1825 (class 0 OID 24071)
-- Dependencies: 1518
-- Data for Name: strassen; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO strassen (id, name) VALUES (1, 'Hauptstrasse');
INSERT INTO strassen (id, name) VALUES (2, 'Oberstrasse');
INSERT INTO strassen (id, name) VALUES (3, 'Unterstrasse');


--
-- TOC entry 1813 (class 2606 OID 24099)
-- Dependencies: 1517 1517
-- Name: GEBAEUDE_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY gebaeude
    ADD CONSTRAINT "GEBAEUDE_pkey" PRIMARY KEY (id);


--
-- TOC entry 1819 (class 2606 OID 24089)
-- Dependencies: 1520 1520
-- Name: GRUNDSTUECKE_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grundstuecke
    ADD CONSTRAINT "GRUNDSTUECKE_pkey" PRIMARY KEY (id);


--
-- TOC entry 1817 (class 2606 OID 24084)
-- Dependencies: 1519 1519
-- Name: ORTSTEILE_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ortsteile
    ADD CONSTRAINT "ORTSTEILE_pkey" PRIMARY KEY (id);


--
-- TOC entry 1815 (class 2606 OID 24094)
-- Dependencies: 1518 1518
-- Name: STRASSEN_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY strassen
    ADD CONSTRAINT "STRASSEN_pkey" PRIMARY KEY (id);


--
-- TOC entry 1820 (class 2606 OID 24115)
-- Dependencies: 1517 1520 1818
-- Name: GEBAEUDE_Grundstueck_ID_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY gebaeude
    ADD CONSTRAINT "GEBAEUDE_Grundstueck_ID_fkey" FOREIGN KEY (g_id) REFERENCES grundstuecke(id);


--
-- TOC entry 1822 (class 2606 OID 24100)
-- Dependencies: 1519 1520 1816
-- Name: GRUNDSTUECKE_Ortsteil_ID_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grundstuecke
    ADD CONSTRAINT "GRUNDSTUECKE_Ortsteil_ID_fkey" FOREIGN KEY (o_id) REFERENCES ortsteile(id);


--
-- TOC entry 1823 (class 2606 OID 24105)
-- Dependencies: 1518 1814 1520
-- Name: GRUNDSTUECKE_Strassen_ID_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grundstuecke
    ADD CONSTRAINT "GRUNDSTUECKE_Strassen_ID_fkey" FOREIGN KEY (s_id) REFERENCES strassen(id);


--
-- TOC entry 1821 (class 2606 OID 24120)
-- Dependencies: 1517 1518 1814
-- Name: gebaeude_S_ID_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY gebaeude
    ADD CONSTRAINT "gebaeude_S_ID_fkey" FOREIGN KEY (s_id) REFERENCES strassen(id);


-- Completed on 2012-02-14 08:14:01

--
-- PostgreSQL database dump complete
--

